Index: /XIOS/trunk/src/interface/fortran_attr/iscalar_attr.F90
===================================================================
--- /XIOS/trunk/src/interface/fortran_attr/iscalar_attr.F90	(revision 1536)
+++ /XIOS/trunk/src/interface/fortran_attr/iscalar_attr.F90	(revision 1537)
@@ -12,11 +12,18 @@
 
   SUBROUTINE xios(set_scalar_attr)  &
-    ( scalar_id, long_name, name, prec, scalar_ref, standard_name, unit, value )
+    ( scalar_id, axis_type, bounds, bounds_name, comment, label, long_name, name, positive, prec  &
+    , scalar_ref, standard_name, unit, value )
 
     IMPLICIT NONE
       TYPE(txios(scalar))  :: scalar_hdl
       CHARACTER(LEN=*), INTENT(IN) ::scalar_id
+      CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: axis_type
+      REAL (KIND=8) , OPTIONAL, INTENT(IN) :: bounds(:)
+      CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: bounds_name
+      CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: comment
+      CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: label
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: long_name
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: name
+      CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: positive
       INTEGER  , OPTIONAL, INTENT(IN) :: prec
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: scalar_ref
@@ -28,15 +35,23 @@
       (scalar_id,scalar_hdl)
       CALL xios(set_scalar_attr_hdl_)   &
-      ( scalar_hdl, long_name, name, prec, scalar_ref, standard_name, unit, value )
+      ( scalar_hdl, axis_type, bounds, bounds_name, comment, label, long_name, name, positive, prec  &
+      , scalar_ref, standard_name, unit, value )
 
   END SUBROUTINE xios(set_scalar_attr)
 
   SUBROUTINE xios(set_scalar_attr_hdl)  &
-    ( scalar_hdl, long_name, name, prec, scalar_ref, standard_name, unit, value )
-
-    IMPLICIT NONE
-      TYPE(txios(scalar)) , INTENT(IN) :: scalar_hdl
+    ( scalar_hdl, axis_type, bounds, bounds_name, comment, label, long_name, name, positive, prec  &
+    , scalar_ref, standard_name, unit, value )
+
+    IMPLICIT NONE
+      TYPE(txios(scalar)) , INTENT(IN) :: scalar_hdl
+      CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: axis_type
+      REAL (KIND=8) , OPTIONAL, INTENT(IN) :: bounds(:)
+      CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: bounds_name
+      CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: comment
+      CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: label
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: long_name
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: name
+      CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: positive
       INTEGER  , OPTIONAL, INTENT(IN) :: prec
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: scalar_ref
@@ -46,15 +61,23 @@
 
       CALL xios(set_scalar_attr_hdl_)  &
-      ( scalar_hdl, long_name, name, prec, scalar_ref, standard_name, unit, value )
+      ( scalar_hdl, axis_type, bounds, bounds_name, comment, label, long_name, name, positive, prec  &
+      , scalar_ref, standard_name, unit, value )
 
   END SUBROUTINE xios(set_scalar_attr_hdl)
 
   SUBROUTINE xios(set_scalar_attr_hdl_)   &
-    ( scalar_hdl, long_name_, name_, prec_, scalar_ref_, standard_name_, unit_, value_ )
-
-    IMPLICIT NONE
-      TYPE(txios(scalar)) , INTENT(IN) :: scalar_hdl
+    ( scalar_hdl, axis_type_, bounds_, bounds_name_, comment_, label_, long_name_, name_, positive_  &
+    , prec_, scalar_ref_, standard_name_, unit_, value_ )
+
+    IMPLICIT NONE
+      TYPE(txios(scalar)) , INTENT(IN) :: scalar_hdl
+      CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: axis_type_
+      REAL (KIND=8) , OPTIONAL, INTENT(IN) :: bounds_(:)
+      CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: bounds_name_
+      CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: comment_
+      CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: label_
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: long_name_
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: name_
+      CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: positive_
       INTEGER  , OPTIONAL, INTENT(IN) :: prec_
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: scalar_ref_
@@ -63,4 +86,29 @@
       REAL (KIND=8) , OPTIONAL, INTENT(IN) :: value_
 
+      IF (PRESENT(axis_type_)) THEN
+        CALL cxios_set_scalar_axis_type &
+      (scalar_hdl%daddr, axis_type_, len(axis_type_))
+      ENDIF
+
+      IF (PRESENT(bounds_)) THEN
+        CALL cxios_set_scalar_bounds &
+      (scalar_hdl%daddr, bounds_, SHAPE(bounds_))
+      ENDIF
+
+      IF (PRESENT(bounds_name_)) THEN
+        CALL cxios_set_scalar_bounds_name &
+      (scalar_hdl%daddr, bounds_name_, len(bounds_name_))
+      ENDIF
+
+      IF (PRESENT(comment_)) THEN
+        CALL cxios_set_scalar_comment &
+      (scalar_hdl%daddr, comment_, len(comment_))
+      ENDIF
+
+      IF (PRESENT(label_)) THEN
+        CALL cxios_set_scalar_label &
+      (scalar_hdl%daddr, label_, len(label_))
+      ENDIF
+
       IF (PRESENT(long_name_)) THEN
         CALL cxios_set_scalar_long_name &
@@ -73,4 +121,9 @@
       ENDIF
 
+      IF (PRESENT(positive_)) THEN
+        CALL cxios_set_scalar_positive &
+      (scalar_hdl%daddr, positive_, len(positive_))
+      ENDIF
+
       IF (PRESENT(prec_)) THEN
         CALL cxios_set_scalar_prec &
@@ -101,11 +154,18 @@
 
   SUBROUTINE xios(get_scalar_attr)  &
-    ( scalar_id, long_name, name, prec, scalar_ref, standard_name, unit, value )
+    ( scalar_id, axis_type, bounds, bounds_name, comment, label, long_name, name, positive, prec  &
+    , scalar_ref, standard_name, unit, value )
 
     IMPLICIT NONE
       TYPE(txios(scalar))  :: scalar_hdl
       CHARACTER(LEN=*), INTENT(IN) ::scalar_id
+      CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: axis_type
+      REAL (KIND=8) , OPTIONAL, INTENT(OUT) :: bounds(:)
+      CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: bounds_name
+      CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: comment
+      CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: label
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: long_name
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: name
+      CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: positive
       INTEGER  , OPTIONAL, INTENT(OUT) :: prec
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: scalar_ref
@@ -117,15 +177,23 @@
       (scalar_id,scalar_hdl)
       CALL xios(get_scalar_attr_hdl_)   &
-      ( scalar_hdl, long_name, name, prec, scalar_ref, standard_name, unit, value )
+      ( scalar_hdl, axis_type, bounds, bounds_name, comment, label, long_name, name, positive, prec  &
+      , scalar_ref, standard_name, unit, value )
 
   END SUBROUTINE xios(get_scalar_attr)
 
   SUBROUTINE xios(get_scalar_attr_hdl)  &
-    ( scalar_hdl, long_name, name, prec, scalar_ref, standard_name, unit, value )
-
-    IMPLICIT NONE
-      TYPE(txios(scalar)) , INTENT(IN) :: scalar_hdl
+    ( scalar_hdl, axis_type, bounds, bounds_name, comment, label, long_name, name, positive, prec  &
+    , scalar_ref, standard_name, unit, value )
+
+    IMPLICIT NONE
+      TYPE(txios(scalar)) , INTENT(IN) :: scalar_hdl
+      CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: axis_type
+      REAL (KIND=8) , OPTIONAL, INTENT(OUT) :: bounds(:)
+      CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: bounds_name
+      CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: comment
+      CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: label
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: long_name
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: name
+      CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: positive
       INTEGER  , OPTIONAL, INTENT(OUT) :: prec
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: scalar_ref
@@ -135,15 +203,23 @@
 
       CALL xios(get_scalar_attr_hdl_)  &
-      ( scalar_hdl, long_name, name, prec, scalar_ref, standard_name, unit, value )
+      ( scalar_hdl, axis_type, bounds, bounds_name, comment, label, long_name, name, positive, prec  &
+      , scalar_ref, standard_name, unit, value )
 
   END SUBROUTINE xios(get_scalar_attr_hdl)
 
   SUBROUTINE xios(get_scalar_attr_hdl_)   &
-    ( scalar_hdl, long_name_, name_, prec_, scalar_ref_, standard_name_, unit_, value_ )
-
-    IMPLICIT NONE
-      TYPE(txios(scalar)) , INTENT(IN) :: scalar_hdl
+    ( scalar_hdl, axis_type_, bounds_, bounds_name_, comment_, label_, long_name_, name_, positive_  &
+    , prec_, scalar_ref_, standard_name_, unit_, value_ )
+
+    IMPLICIT NONE
+      TYPE(txios(scalar)) , INTENT(IN) :: scalar_hdl
+      CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: axis_type_
+      REAL (KIND=8) , OPTIONAL, INTENT(OUT) :: bounds_(:)
+      CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: bounds_name_
+      CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: comment_
+      CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: label_
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: long_name_
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: name_
+      CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: positive_
       INTEGER  , OPTIONAL, INTENT(OUT) :: prec_
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: scalar_ref_
@@ -152,4 +228,29 @@
       REAL (KIND=8) , OPTIONAL, INTENT(OUT) :: value_
 
+      IF (PRESENT(axis_type_)) THEN
+        CALL cxios_get_scalar_axis_type &
+      (scalar_hdl%daddr, axis_type_, len(axis_type_))
+      ENDIF
+
+      IF (PRESENT(bounds_)) THEN
+        CALL cxios_get_scalar_bounds &
+      (scalar_hdl%daddr, bounds_, SHAPE(bounds_))
+      ENDIF
+
+      IF (PRESENT(bounds_name_)) THEN
+        CALL cxios_get_scalar_bounds_name &
+      (scalar_hdl%daddr, bounds_name_, len(bounds_name_))
+      ENDIF
+
+      IF (PRESENT(comment_)) THEN
+        CALL cxios_get_scalar_comment &
+      (scalar_hdl%daddr, comment_, len(comment_))
+      ENDIF
+
+      IF (PRESENT(label_)) THEN
+        CALL cxios_get_scalar_label &
+      (scalar_hdl%daddr, label_, len(label_))
+      ENDIF
+
       IF (PRESENT(long_name_)) THEN
         CALL cxios_get_scalar_long_name &
@@ -162,4 +263,9 @@
       ENDIF
 
+      IF (PRESENT(positive_)) THEN
+        CALL cxios_get_scalar_positive &
+      (scalar_hdl%daddr, positive_, len(positive_))
+      ENDIF
+
       IF (PRESENT(prec_)) THEN
         CALL cxios_get_scalar_prec &
@@ -190,13 +296,26 @@
 
   SUBROUTINE xios(is_defined_scalar_attr)  &
-    ( scalar_id, long_name, name, prec, scalar_ref, standard_name, unit, value )
+    ( scalar_id, axis_type, bounds, bounds_name, comment, label, long_name, name, positive, prec  &
+    , scalar_ref, standard_name, unit, value )
 
     IMPLICIT NONE
       TYPE(txios(scalar))  :: scalar_hdl
       CHARACTER(LEN=*), INTENT(IN) ::scalar_id
+      LOGICAL, OPTIONAL, INTENT(OUT) :: axis_type
+      LOGICAL(KIND=C_BOOL) :: axis_type_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: bounds
+      LOGICAL(KIND=C_BOOL) :: bounds_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: bounds_name
+      LOGICAL(KIND=C_BOOL) :: bounds_name_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: comment
+      LOGICAL(KIND=C_BOOL) :: comment_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: label
+      LOGICAL(KIND=C_BOOL) :: label_tmp
       LOGICAL, OPTIONAL, INTENT(OUT) :: long_name
       LOGICAL(KIND=C_BOOL) :: long_name_tmp
       LOGICAL, OPTIONAL, INTENT(OUT) :: name
       LOGICAL(KIND=C_BOOL) :: name_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: positive
+      LOGICAL(KIND=C_BOOL) :: positive_tmp
       LOGICAL, OPTIONAL, INTENT(OUT) :: prec
       LOGICAL(KIND=C_BOOL) :: prec_tmp
@@ -213,17 +332,31 @@
       (scalar_id,scalar_hdl)
       CALL xios(is_defined_scalar_attr_hdl_)   &
-      ( scalar_hdl, long_name, name, prec, scalar_ref, standard_name, unit, value )
+      ( scalar_hdl, axis_type, bounds, bounds_name, comment, label, long_name, name, positive, prec  &
+      , scalar_ref, standard_name, unit, value )
 
   END SUBROUTINE xios(is_defined_scalar_attr)
 
   SUBROUTINE xios(is_defined_scalar_attr_hdl)  &
-    ( scalar_hdl, long_name, name, prec, scalar_ref, standard_name, unit, value )
-
-    IMPLICIT NONE
-      TYPE(txios(scalar)) , INTENT(IN) :: scalar_hdl
+    ( scalar_hdl, axis_type, bounds, bounds_name, comment, label, long_name, name, positive, prec  &
+    , scalar_ref, standard_name, unit, value )
+
+    IMPLICIT NONE
+      TYPE(txios(scalar)) , INTENT(IN) :: scalar_hdl
+      LOGICAL, OPTIONAL, INTENT(OUT) :: axis_type
+      LOGICAL(KIND=C_BOOL) :: axis_type_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: bounds
+      LOGICAL(KIND=C_BOOL) :: bounds_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: bounds_name
+      LOGICAL(KIND=C_BOOL) :: bounds_name_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: comment
+      LOGICAL(KIND=C_BOOL) :: comment_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: label
+      LOGICAL(KIND=C_BOOL) :: label_tmp
       LOGICAL, OPTIONAL, INTENT(OUT) :: long_name
       LOGICAL(KIND=C_BOOL) :: long_name_tmp
       LOGICAL, OPTIONAL, INTENT(OUT) :: name
       LOGICAL(KIND=C_BOOL) :: name_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: positive
+      LOGICAL(KIND=C_BOOL) :: positive_tmp
       LOGICAL, OPTIONAL, INTENT(OUT) :: prec
       LOGICAL(KIND=C_BOOL) :: prec_tmp
@@ -238,17 +371,31 @@
 
       CALL xios(is_defined_scalar_attr_hdl_)  &
-      ( scalar_hdl, long_name, name, prec, scalar_ref, standard_name, unit, value )
+      ( scalar_hdl, axis_type, bounds, bounds_name, comment, label, long_name, name, positive, prec  &
+      , scalar_ref, standard_name, unit, value )
 
   END SUBROUTINE xios(is_defined_scalar_attr_hdl)
 
   SUBROUTINE xios(is_defined_scalar_attr_hdl_)   &
-    ( scalar_hdl, long_name_, name_, prec_, scalar_ref_, standard_name_, unit_, value_ )
-
-    IMPLICIT NONE
-      TYPE(txios(scalar)) , INTENT(IN) :: scalar_hdl
+    ( scalar_hdl, axis_type_, bounds_, bounds_name_, comment_, label_, long_name_, name_, positive_  &
+    , prec_, scalar_ref_, standard_name_, unit_, value_ )
+
+    IMPLICIT NONE
+      TYPE(txios(scalar)) , INTENT(IN) :: scalar_hdl
+      LOGICAL, OPTIONAL, INTENT(OUT) :: axis_type_
+      LOGICAL(KIND=C_BOOL) :: axis_type__tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: bounds_
+      LOGICAL(KIND=C_BOOL) :: bounds__tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: bounds_name_
+      LOGICAL(KIND=C_BOOL) :: bounds_name__tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: comment_
+      LOGICAL(KIND=C_BOOL) :: comment__tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: label_
+      LOGICAL(KIND=C_BOOL) :: label__tmp
       LOGICAL, OPTIONAL, INTENT(OUT) :: long_name_
       LOGICAL(KIND=C_BOOL) :: long_name__tmp
       LOGICAL, OPTIONAL, INTENT(OUT) :: name_
       LOGICAL(KIND=C_BOOL) :: name__tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: positive_
+      LOGICAL(KIND=C_BOOL) :: positive__tmp
       LOGICAL, OPTIONAL, INTENT(OUT) :: prec_
       LOGICAL(KIND=C_BOOL) :: prec__tmp
@@ -262,4 +409,34 @@
       LOGICAL(KIND=C_BOOL) :: value__tmp
 
+      IF (PRESENT(axis_type_)) THEN
+        axis_type__tmp = cxios_is_defined_scalar_axis_type &
+      (scalar_hdl%daddr)
+        axis_type_ = axis_type__tmp
+      ENDIF
+
+      IF (PRESENT(bounds_)) THEN
+        bounds__tmp = cxios_is_defined_scalar_bounds &
+      (scalar_hdl%daddr)
+        bounds_ = bounds__tmp
+      ENDIF
+
+      IF (PRESENT(bounds_name_)) THEN
+        bounds_name__tmp = cxios_is_defined_scalar_bounds_name &
+      (scalar_hdl%daddr)
+        bounds_name_ = bounds_name__tmp
+      ENDIF
+
+      IF (PRESENT(comment_)) THEN
+        comment__tmp = cxios_is_defined_scalar_comment &
+      (scalar_hdl%daddr)
+        comment_ = comment__tmp
+      ENDIF
+
+      IF (PRESENT(label_)) THEN
+        label__tmp = cxios_is_defined_scalar_label &
+      (scalar_hdl%daddr)
+        label_ = label__tmp
+      ENDIF
+
       IF (PRESENT(long_name_)) THEN
         long_name__tmp = cxios_is_defined_scalar_long_name &
@@ -274,4 +451,10 @@
       ENDIF
 
+      IF (PRESENT(positive_)) THEN
+        positive__tmp = cxios_is_defined_scalar_positive &
+      (scalar_hdl%daddr)
+        positive_ = positive__tmp
+      ENDIF
+
       IF (PRESENT(prec_)) THEN
         prec__tmp = cxios_is_defined_scalar_prec &
